%define debug_package %{nil}

# Set html_doc_root to the webserver document root where you want to install webfwlog
%if 0%{?suse_version}
%define html_doc_root /srv/www/htdocs
%else
%define html_doc_root /var/www/html
%endif

# Set webserver_group to a group to which the user the webserver process runs as belongs
%if 0%{?suse_version}
%define webserver_group www
%else
%define webserver_group apache
%endif
# with_mysql supports mysql
# with_pgsql supports postgresql
# 
# Using a database server is highly recommended
%{!?with_mysql:%define with_mysql 1}
%{!?with_pgsql:%define with_pgsql 1}

# enable_syslog builds syslog support
%{!?enable_syslog:%define enable_syslog 1}

Summary:	Web-based firewall log analyzer
Name:		webfwlog
Version:	0.94
Release:	6.1
License:	GPL
URL:		http://www.webfwlog.net
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Prefix:		%{html_doc_root}
Source:		%{name}-%{version}.tar.bz2
Patch0:		webfwlog-0.94-tcpflags.patch
Patch1:		webfwlog-0.94-timezone.patch
# These are absolute requirements
Requires:	webserver
Requires:	php >= 4.1

%if %{enable_syslog}
BuildRequires: glibc-devel
%if %{with_mysql}
BuildRequires: mysql-devel >= 3.23
Requires: mysql >= 3.23
%endif
%if %{with_pgsql}
BuildRequires: postgresql-devel >= 7.1
Requires: postgresql >= 7.1
%endif
# zlib is optional but recommended
BuildRequires: zlib-devel
Requires: zlib
%endif

%description
Webfwlog is a flexible web-based analysis and reporting tool for firewall logs.
It supports standard system logs for linux, FreeBSD, OpenBSD, NetBSD, Solaris,
Irix, Darwin, etc. as well as Windows XP.  Supported log file formats are
netfilter, ipfilter, ipfw, ipchains and Windows XP.  Webfwlog also supports
logs saved in a database using the ULOGD target of the linux netfilter project.

With Webfwlog you can design reports to use on your logged data in whatever 
configuration you desire.  Included are example reports as a starting point.
You can sort a report with a single click, "drill-down" on the reports all the
way to the packet level, and save your reports for later use.  You can also
create a link directly to any saved report.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
# configure should be able to find the shared libraries for mysql and postgresql
#   automagically, but if it cannot you can add =[DIR] to --with-mysql and/or
#   --with-pgsql to tell configure where to look for them.
%configure \
	--with-html-doc-root=%{html_doc_root} \
%if %{enable_syslog}
	--enable-syslog \
%endif
%if %{enable_syslog} && %{with_mysql}
	--with-mysql \
%endif
%if %{enable_syslog} && %{with_pgsql}
	--with-pgsql
%endif

sed -i 's/-o root//' Rules.make

make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{html_doc_root}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}
%post
if [ -f %{_bindir}/wfwl_syslog ] ; then
chmod 4550 %{_bindir}/wfwl_syslog || :
fi

%files
%defattr(-,root,root,0555)
%if %{enable_syslog}
%attr(0550,root,%{webserver_group}) %{_bindir}/wfwl_syslog
%endif
%config(noreplace) %attr(0640,root,%{webserver_group}) %{_sysconfdir}/webfwlog.conf
%{html_doc_root}/webfwlog
%doc COPYING AUTHORS README INSTALL CREDITS
%doc ChangeLog ReleaseNotes
%doc examples
%doc mysql pgsql
%doc webfwlog.conf

%changelog
* Tue Aug 28 2012 cs@linux-administrator.com
- initial package build
